Package com.avaya.clientservices.collaboration

## Enum CollaborationRenderType

- java.lang.Object
- - java.lang.Enum<CollaborationRenderType>
  - - com.avaya.clientservices.collaboration.CollaborationRenderType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CollaborationRenderType>`

      public enum CollaborationRenderType
      extends java.lang.Enum<CollaborationRenderType>

  Collaboration Render type This type helps UI to draw respective render to display the presentation screen to user

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RENDERER_NOT_ALLOWED` | Collaboration is not available at this moment.
    `VIDEO_STREAM_BASED_COLLABORATION` | The presented content is provided through a real-time video stream, controlled by binary floor control protocol (BFCP).
    `WEB_BASED_COLLABORATION` | The presented content is provided via Avaya web conferencing protocol.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CollaborationRenderType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CollaborationRenderType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEB_BASED_COLLABORATION

          public static final CollaborationRenderType WEB_BASED_COLLABORATION

      The presented content is provided via Avaya web conferencing protocol.

    - #### VIDEO_STREAM_BASED_COLLABORATION

          public static final CollaborationRenderType VIDEO_STREAM_BASED_COLLABORATION

      The presented content is provided through a real-time video stream, controlled by binary floor control protocol (BFCP).

    - #### RENDERER_NOT_ALLOWED

          public static final CollaborationRenderType RENDERER_NOT_ALLOWED

      Collaboration is not available at this moment.

  - ### Method Detail

    - #### values

          public static CollaborationRenderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollaborationRenderType c : CollaborationRenderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollaborationRenderType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null